Title 'rats_litter.sas    2005-03-22    Y.Takahashi' ;
 
data rats;
      input trt$ litter r  n  @@ ;
datalines;
c	1	13	13  c	2	12	12   c	3	9	9
c	4	9	9   c	5	8	8    c	6	8	8
c	7	12	13  c	8	11	12   c	9	9	10
c	10	9	10  c	11	8	9    c	12	11	13
c	13	4	5   c	14	5	7    c	15	7	10
c	16	7	10
t	17	12	12  t	18	11	11   t	19	10	10
t	20	9	9   t	21	10	11   t	22	9	10
t	23	9	10  t	24	8	9    t	25	8	9
t	26	4	5   t	27	7	9    t	28	4	7
t	29	5	10  t	30	3	6    t	31	3	10
t	32	0	7
;
proc print data=rats ;
run ;

proc logistic data=rats ;
    class  trt / param=ref ref=first ;
	model  r / n = trt  ;
run ;


proc logistic data=rats ;
    class  trt / param=ref ref=first ;
	model  r / n = trt / scale=deviance ;
run ;

proc logistic data=rats ;
    class  trt litter / param=ref ref=first ;
	model  r / n = trt / scale=williams ;
run ;


data rats2 ;
    set rats ;
	w = 1 / ( 1 + 0.202805 * (n - 1) ) ;

proc print data=rats2 ;
run ;

proc logistic data=rats2 ;
    class  trt / param=ref ref=first ;
	weight w ;
	model  r / n = trt  ;
run ;

proc genmod data=rats ;
    class  trt / param=ref ref=first ;
    model  r / n = trt  / dist=binomial link=logit scale=deviance ;
	run ;

